| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.SpatialCalibrationProperty Class Reference

This Property is used to represent the image properties in world space. More...

Inheritance diagram for IOLink.SpatialCalibrationProperty:

## Public Member Functions
| SpatialCalibrationProperty (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| SpatialCalibrationProperty ()
| Initialize the property with default values.
| SpatialCalibrationProperty (Vector3d origin)
| Initialize the property with only a custom origin.
| SpatialCalibrationProperty (Vector3d origin, Vector3d spacing)
| Initialize a calibration property with an origin and a spacing.
| SpatialCalibrationProperty (Vector3d origin, Vector3d spacing, SpatialDirections direction)
| Initialize a calibration without a specific unit.
| SpatialCalibrationProperty (Vector3d origin, Vector3d spacing, SpatialDirections direction, string unit)
| Initialize a calibration property.
| SpatialCalibrationProperty (ReadonlySpatialCalibrationProperty other)
| Copy constructor.
string | ToString ()
| Return string representation.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (SpatialCalibrationProperty obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (SpatialCalibrationProperty obj)
static bool | operator== (SpatialCalibrationProperty v1, SpatialCalibrationProperty v2)
static bool | operator!= (SpatialCalibrationProperty v1, SpatialCalibrationProperty v2)
static bool | InternalEqual (SpatialCalibrationProperty scp1, ReadonlySpatialCalibrationProperty scp2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
Vector3d | Origin`[get, set]`
| The spatial origin of the `ImageView`
Vector3d | Spacing`[get, set]`
| The spacing between two elements of this `ImageView`
SpatialDirections | Directions`[get, set]`
| The directions of the image's referential.
string | Unit`[get, set]`
| The unit used for spatial calibration.

## Detailed Description

This Property is used to represent the image properties in world space.

- origin: the position of the image in space.
- spacing: the size of samples along each axis.
- orientation: the direction cosines among each axis.
- unit: the unit of the three axes defined by the precedent attributes.

The units are described by a string following a basic convention: Abridged units names, "cm" for centimeters or "in" for inches for example. If there is no commonly used abridged unit, just use the unit name. No punctuation at the end, unless it is part of the abridged notation.

If the dimension has no unit, it is described by the empty string.

Some examples:

- "µm" for micrometers
- "ft" for foot
- "mi" for a mile
- "Å" for angstrom
- "min" for minute

## Constructor & Destructor Documentation

## ◆ SpatialCalibrationProperty() [1/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( |  | ) |
| inline

Initialize the property with default values.

- origin: {0.0, 0.0, 0.0}
- spacing: {1.0, 1.0, 1.0}
- orientation: {1.0, 1.0, 1.0}
- unit: ""

## ◆ SpatialCalibrationProperty() [2/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( | Vector3d | origin | ) |
| inline

Initialize the property with only a custom origin.

Parameters

  origin | origin the origin of the calibration

## ◆ SpatialCalibrationProperty() [3/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( | Vector3d | origin,
|  | Vector3d | spacing
| ) |  |
| inline

Initialize a calibration property with an origin and a spacing.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.

## ◆ SpatialCalibrationProperty() [4/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( | Vector3d | origin,
|  | Vector3d | spacing,
|  | SpatialDirections | direction
| ) |  |
| inline

Initialize a calibration without a specific unit.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.
  direction | The directions for each axes.

## ◆ SpatialCalibrationProperty() [5/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( | Vector3d | origin,
|  | Vector3d | spacing,
|  | SpatialDirections | direction,
|  | string | unit
| ) |  |
| inline

Initialize a calibration property.

Parameters

  origin | The origin position of the ImageView.
  spacing | The size of each element of the raster grid.
  direction | The directions for each axes.
  unit | The unit of the axes.

## ◆ SpatialCalibrationProperty() [6/6]

IOLink.SpatialCalibrationProperty.SpatialCalibrationProperty | ( | ReadonlySpatialCalibrationProperty | other | ) |
| inline

Copy constructor.

Parameters

  other | The calibration to copy

The documentation for this class was generated from the following file:

- Release/net/generated/SpatialCalibrationProperty.cs